This forum uses cookies
This forum makes use of cookies to store your login information if you are registered, and your last visit if you are not. Cookies are small text documents stored on your computer; the cookies set by this forum can only be used on this website and pose no security risk. Cookies on this forum also track the specific topics you have read and when you last read them. Please confirm whether you accept or reject these cookies being set.

A cookie will be stored in your browser regardless of choice to prevent you being asked this question again. You will be able to change your cookie settings at any time using the link in the footer.

How to install php 5.6 on centos 6/7 working 100%:
#11
RE: How to install php 5.6 on centos 6/7 working 100%:
using remi could cause a lot of conflicts. I don't like. May present later when I have time safer method.

M B
No support using PM (Auto adding to IGNORE list!), use the forum. 
How to ask
Coldfusion Freelance

10$ free to start your VPS

Reply
Thanks given by:
#12
RE: How to install php 5.6 on centos 6/7 working 100%:
Hello, does anyone know how to instal php-ldap?
When I try to install, I get this returned,
Code:
[root@server7 ~]# yum install php-ldap
Loaded plugins: fastestmirror
Setting up Install Process
Loading mirror speeds from cached hostfile
* epel: mirrors.einstein.yu.edu
* webtatic: us-east.repo.webtatic.com
Resolving Dependencies
--> Running transaction check
---> Package php-ldap.x86_64 0:5.3.3-40.el6_6 will be installed
--> Processing Dependency: php-common(x86-64) = 5.3.3-40.el6_6 for package: php-ldap-5.3.3-40.el6_6.x86_64
--> Finished Dependency Resolution
Error: Package: php-ldap-5.3.3-40.el6_6.x86_64 (updates)
          Requires: php-common(x86-64) = 5.3.3-40.el6_6
          Installed: php-common-5.6.7-1.el6.remi.x86_64 (@remi-php56)
              php-common(x86-64) = 5.6.7-1.el6.remi
          Available: php-common-5.3.3-38.el6.x86_64 (base)
              php-common(x86-64) = 5.3.3-38.el6
          Available: php-common-5.3.3-40.el6_6.x86_64 (updates)
              php-common(x86-64) = 5.3.3-40.el6_6
          Available: php54w-common-5.4.36-1.w6.x86_64 (webtatic)
              php-common(x86-64) = 5.4.36-1.w6
          Available: php54w-common-5.4.37-1.w6.x86_64 (webtatic)
              php-common(x86-64) = 5.4.37-1.w6
          Available: php54w-common-5.4.38-1.w6.x86_64 (webtatic)
              php-common(x86-64) = 5.4.38-1.w6
          Available: php54w-common-5.4.39-1.w6.x86_64 (webtatic)
              php-common(x86-64) = 5.4.39-1.w6
          Available: php55w-common-5.5.20-1.w6.x86_64 (webtatic)
              php-common(x86-64) = 5.5.20-1.w6
          Available: php55w-common-5.5.21-1.w6.x86_64 (webtatic)
              php-common(x86-64) = 5.5.21-1.w6
          Available: php55w-common-5.5.22-1.w6.x86_64 (webtatic)
              php-common(x86-64) = 5.5.22-1.w6
          Available: php55w-common-5.5.23-1.w6.x86_64 (webtatic)
              php-common(x86-64) = 5.5.23-1.w6
          Available: php56w-common-5.6.4-1.w6.x86_64 (webtatic)
              php-common(x86-64) = 5.6.4-1.w6
          Available: php56w-common-5.6.5-1.w6.x86_64 (webtatic)
              php-common(x86-64) = 5.6.5-1.w6
          Available: php56w-common-5.6.6-1.w6.x86_64 (webtatic)
              php-common(x86-64) = 5.6.6-1.w6
          Available: php56w-common-5.6.7-1.w6.x86_64 (webtatic)
              php-common(x86-64) = 5.6.7-1.w6
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
[root@server7 ~]#  rpm -Va --nofiles --nodigest
[root@server7 ~]# yum install php-ldap --skip-broken
Loaded plugins: fastestmirror
Setting up Install Process
Loading mirror speeds from cached hostfile
* epel: mirrors.einstein.yu.edu
* webtatic: us-east.repo.webtatic.com
Resolving Dependencies
--> Running transaction check
---> Package php-ldap.x86_64 0:5.3.3-40.el6_6 will be installed
--> Processing Dependency: php-common(x86-64) = 5.3.3-40.el6_6 for package: php-ldap-5.3.3-40.el6_6.x86_64

Packages skipped because of dependency problems:
   php-ldap-5.3.3-40.el6_6.x86_64 from updates
[root@server7 ~]#
Reply
Thanks given by:
#13
RE: How to install php 5.6 on centos 6/7 working 100%:
(03-18-2015, 07:03 AM)Me.B Wrote: using remi could cause a lot of conflicts.
No support using PM (Auto adding to IGNORE list!), use the forum. 
How to ask
Coldfusion Freelance

10$ free to start your VPS

Reply
Thanks given by:
#14
RE: How to install php 5.6 on centos 6/7 working 100%:
(04-12-2015, 12:30 PM)Me.B Wrote:
(03-18-2015, 07:03 AM)Me.B Wrote: using remi could cause a lot of conflicts.

It seems so, is there another way to install PHP where I won't have these problems?
Reply
Thanks given by:
#15
RE: How to install php 5.6 on centos 6/7 working 100%:
Compiling it the hard way is the cleanest way but you will have to get all the libs/dependencies for compiling too. Require some testing.

M B
No support using PM (Auto adding to IGNORE list!), use the forum. 
How to ask
Coldfusion Freelance

10$ free to start your VPS

Reply
Thanks given by:
#16
RE: How to install php 5.6 on centos 6/7 working 100%:
Works fine for me, had a clean installation of Sentora installed, now updated everything with this guide, Laravel 4 / 5 applications are running fine, same as wordpress 4.*

I'm not an servergeek if it's working for me I'm happy.

Thanks!
Reply
Thanks given by:
#17
RE: How to install php 5.6 on centos 6/7 working 100%:
Hi, I couldn't make my first message useful :/. Well, I've upgraded my PHP version to 5.6.10 with this method but I can't make it work. Apache doesn't recognize PHP and show the full syntax on source code. I already tried to reboot the server, update / upgrade it without luck.

pd.: Actually I met Sentora ten minutes ago while searching for solutions since I am using Plesk 12. I'll migrate to Sentora once I read all the changes and differences.
Thank you Big Grin
Reply
Thanks given by:
#18
RE: How to install php 5.6 on centos 6/7 working 100%:
Seems to be working fine for me. Thanks.

I have no idea why Sentora is bundled with such an old version of PHP. 5.4 was released in March 2012!!!!
Reply
Thanks given by:
#19
RE: How to install php 5.6 on centos 6/7 working 100%:
Sentora is not bundled with any php. It relies on official php supported by OS vendor. That's it.

Redhat until today support php 5.3 on equivalent of centos 6.x and 5.4 on centos 7.x.

Now upgrading is so easy huh?

think about this:

http://forums.sentora.org/showthread.php?tid=1816

M B
No support using PM (Auto adding to IGNORE list!), use the forum. 
How to ask
Coldfusion Freelance

10$ free to start your VPS

Reply
Thanks given by:
#20
RE: How to install php 5.6 on centos 6/7 working 100%:
I updated to php 6 using this much cleaner method: https://webtatic.com/packages/php56/

Below are the steps that I followed:
Code:
1. CentOS/RHEL 7.x:
rpm -Uvh https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
rpm -Uvh https://mirror.webtatic.com/yum/el7/webtatic-release.rpm
2.
yum install yum-plugin-replace
yum replace php-common --replace-with=php56w-common
3.
yum install php56w-opcache


No errors but no mention of suhosin (only suhosin.ini under additional files parsed), should I follow your guide on step 1 to enable it or would that cause errors with my current setup?

EDIT: I did have to recompile sushosin just as you said.
Reply
Thanks given by:


Possibly Related Threads...
Thread Author Replies Views Last Post
How to Install Silex on Hosting with Debian 8 oliverdev 0 700 03-09-2017, 11:48 PM
Last Post: oliverdev
is it worthwhile waiting for 1.0.4 before switching to CentOS 7? Ron-e 2 758 09-30-2016, 12:23 AM
Last Post: Ron-e
Sentora vs CentOS Web Panel eduardw 6 6,214 05-28-2015, 12:06 AM
Last Post: joubertredrat

Forum Jump:


Users browsing this thread: 2 Guest(s)